RequestInvocationBindings (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.rendit.RequestInvocationBindings class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.rendit
Class RequestInvocationBindings

    java.lang.Object
      org.hyperic.hq.hqu.rendit.RequestInvocationBindings

    public class RequestInvocationBindings

extends java.lang.Object

The invocation bindings used when a request is made from the servlet.

Constructor Summary
`RequestInvocationBindings(java.lang.String requestURI, java.lang.String ctxPath, java.lang.String pathInfo, java.lang.String servletPath, java.lang.String queryStr, AuthzSubject user, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext ctx)`

Method Summary
`javax.servlet.ServletContext` | `getContext()`
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getQueryStr()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`java.lang.String` | `getRequestURI()`
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`java.lang.String` | `getServletPath()`
`AuthzSubject` | `getUser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestInvocationBindings

    public RequestInvocationBindings(java.lang.String requestURI,
                                     java.lang.String ctxPath,
                                     java.lang.String pathInfo,
                                     java.lang.String servletPath,
                                     java.lang.String queryStr,
                                     AuthzSubject user,
                                     javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     javax.servlet.ServletContext ctx)

Method Detail

### getRequestURI

    public java.lang.String getRequestURI()

### getContextPath

    public java.lang.String getContextPath()

### getPathInfo

    public java.lang.String getPathInfo()

### getServletPath

    public java.lang.String getServletPath()

### getQueryStr

    public java.lang.String getQueryStr()

### getUser

    public AuthzSubject getUser()

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### getContext

    public javax.servlet.ServletContext getContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.